First time creating a connector? Read this first.
To create or update a source connector, you must also provide settings that are specific to that connector.
For the list of specific settings, see:
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Reference the Unstructured Platform API endpoints and settings for creating, listing, updating, and deleting workflow source connectors.
| Task | Python function | cURL |
|---|---|---|
| Get a list of available source connectors | sources.list_sources | GET /sources |
| Get information about a source connector | sources.get_source | GET /sources/<connector-id> |
| Create a source connector | sources.create_source | POST /sources |
| Update a source connector | sources.update_source | PUT /sources/<connector-id> |
| Delete a source connector | sources.delete_source | DELETE /sources/<connector-id> |
| Connector | Python SDK | cURL |
|---|---|---|
| Azure | AZURE | azure |
| Box | BOX | box |
| Confluence | CONFLUENCE | confluence |
| Couchbase | COUCHBASE | couchbase |
| Databricks Volumes | DATABRICKS_VOLUMES | databricks_volumes |
| Dropbox | DROPBOX | dropbox |
| Elasticsearch | ELASTICSEARCH | elasticsearch |
| Google Cloud Storage | GCS | gcs |
| Google Drive | GOOGLE_DRIVE | google_drive |
| IBM FileNet | FILNET | filenet |
| Jira | JIRA | jira |
| Kafka | KAFKA_CLOUD | kafka-cloud |
| Local | ||
| MongoDB | MONGODB | mongodb |
| OneDrive | ONEDRIVE | onedrive |
| OpenSearch | OPENSEARCH | opensearch |
| Outlook | OUTLOOK | outlook |
| PostgreSQL | POSTGRES | postgres |
| S3 | S3 | s3 |
| Salesforce | SALESFORCE | salesforce |
| SharePoint | SHAREPOINT | sharepoint |
| Slack | SLACK | slack |
| Snowflake | SNOWFLAKE | snowflake |
| Teradata Database | TERADATA | teradata |
| VAST | VAST | vast |
| Zendesk | ZENDESK | zendesk |
Was this page helpful?
